summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson2011-08-28 14:02:46 +0200
committer Niels Horn2011-08-28 14:02:46 +0200
commit7b3cabf7dc988efd4577bdc4ea0234f4b4327bf9 (patch)
tree401266ad6ed92c2e1785c18ef90acdbe8afb0018 /audio
parent4de95fe6376e5b655c9369e2f46f330a070a92a4 (diff)
downloadslackbuilds-7b3cabf7dc988efd4577bdc4ea0234f4b4327bf9.tar.gz
audio/sfc: Added (midi router)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/sfc/README10
-rw-r--r--audio/sfc/sfc.SlackBuild80
-rw-r--r--audio/sfc/sfc.info10
-rw-r--r--audio/sfc/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/audio/sfc/README b/audio/sfc/README
new file mode 100644
index 0000000000..71ff299135
--- /dev/null
+++ b/audio/sfc/README
@@ -0,0 +1,10 @@
+sfc (SoundFontCombi) is a midi router designed to mix the sounds of your
+sound devices. Up to 8 sounds can be mixed or split. There are 6 MIDI
+out ports and 2 MIDI in ports. Up to six different devices can be used
+to produce combinations of sounds like some synthesizers.
+
+The connections with your devices are automated. You can load/save your
+"mixes" in banks of sounds, and change it via Midi Program Change message
+or by the user interface.
+
+This requires fltk.
diff --git a/audio/sfc/sfc.SlackBuild b/audio/sfc/sfc.SlackBuild
new file mode 100644
index 0000000000..3c8c4b6d23
--- /dev/null
+++ b/audio/sfc/sfc.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for soundfontcombi
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=sfc
+VERSION=${VERSION:-0.018}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# TODO: icon, .desktop, maybe a man page?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/sfc/sfc.info b/audio/sfc/sfc.info
new file mode 100644
index 0000000000..2d1dc4db79
--- /dev/null
+++ b/audio/sfc/sfc.info
@@ -0,0 +1,10 @@
+PRGNAM="sfc"
+VERSION="0.018"
+HOMEPAGE="http://personal.telefonica.terra.es/web/soudfontcombi/soundfontcombi.html"
+DOWNLOAD="http://personal.telefonica.terra.es/web/soudfontcombi/sfc-0.018.tar.gz"
+MD5SUM="f117cfebf1f3f13f4a3d77d67c8febd6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Niels Horn"
diff --git a/audio/sfc/slack-desc b/audio/sfc/slack-desc
new file mode 100644
index 0000000000..6f84254cbb
--- /dev/null
+++ b/audio/sfc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sfc: sfc (midi router)
+sfc:
+sfc: sfc (SoundFontCombi) is a midi router designed to mix the sounds of
+sfc: your sound devices. Up to 8 sounds can be mixed or split. There are
+sfc: 6 MIDI out ports and 2 MIDI in ports. Up to six different devices
+sfc: can be used to produce combinations of sounds like some synthesizers.
+sfc:
+sfc: The connections with your devices are automated. You can load/save
+sfc: your "mixes" in banks of sounds, and change it via Midi Program Change
+sfc: message or by the user interface.
+sfc: